<main>

  <div class="dashboard-container">

    <!-- sidebar -->
    <aside id="sideBarUser">

      <!-- header sidebar -->
      <div class="header-user">

        <div class="logo-wrapper">
        </div>
        <div class="profil-picture no-picture">
          <a href="#">
            <div class="no-picture-wrapper">
              <i class="fas fa-upload"></i>
              <p>Ajouter une photo</p>
            </div>
          </a>
        </div>
        <h3>Daniel</h3>

      </div>

      <!-- menu -->
      <nav>
        <ul>
          <li class="active">
            <a routerLink="/dashboard-monitoring" routerLinkActive="active">
              <i class="fas fa-camera-retro"></i>
              monitoring
            </a>
          </li>
          <li>
            <a routerLink="/" routerLinkActive="active">
              <i class="far fa-comments"></i>
              messagerie
            </a>
          </li>
          <li>
            <a routerLink="/dashboard" routerLinkActive="active">
              <i class="fas fa-user-circle"></i>
              informations
            </a>
          </li>
          <li>
            <a routerLink="/dashboard-preferences" routerLinkActive="active">
              <i class="fas fa-cog"></i>
              préférences
            </a>
          </li>
        </ul>
      </nav>

      <div class="footer-user">
        <button (click)="Deconnexion()" type="button" name="button" class="btn btn-reset">
          <i class="fas fa-power-off"></i>
          déconnexion
        </button>
      </div>

    </aside>

    <!-- right content -->
    <div id="mainContent">

      <!-- title dashboard -->
      <div class="title-dashboard">
        <h2>Mes monitoring</h2>
      </div>

      <div class="py-5 home-section--features">

        <h3 class="pb-3">Facebook</h3>

        <a href="https://www.facebook.com/mickael.pique.3" class="mb-3 btn btn-squared btn-transparent btn-border--blue">
          <i class="fab fa-facebook-f"></i>
          voir la page
        </a>

        <div class="features-wrapper">

          <div *ngFor="let facebookuser of facebookusers" class="feature-card">
            <h4>{{facebookuser.friends.summary.total_count}}</h4>
            <span>Number of friends</span>
          </div>

          <div *ngFor="let facebookuser of facebookusers" class="feature-card">
            <h4>{{facebookuser.posts.data.length}}</h4>
            <span>Number of posts</span>
          </div>

          <div *ngFor="let facebookuser of facebookusers" class="feature-card">
            <h4>{{facebookuser.likes.data.length}}</h4>
            <span>Number of likes</span>
          </div>

        </div>

      </div>

      <div class="py-5 home-section--features">

        <h3 class="pb-3">Instagram</h3>

        <a href="" class="mb-3 btn btn-squared btn-transparent btn-border--blue">
          <i class="fab fa-instagram"></i>
          voir la page
        </a>

        <div class="features-wrapper">

          <div class="feature-card">
            <h4>300</h4>
            <span>Number of followers</span>
          </div>

          <div class="feature-card">
            <h4>1 500</h4>
            <span>Number of posts</span>
          </div>

        </div>

      </div>

    </div>

  </div>

</main>